
func void ZS_SeekEnemy ()
{
	PrintDebug("ZS_SeekEnemy");
	B_DrawWeapon(self); // Wo ist der Feind, dem steh ich nicht unvorbereitet gegenüber
	PrintDebug (" Wo ist der Missetäter ?");
	self.aivar [AIV_SeekEnemy] = 0; // Den werde ich jetzt eine zeitlang suchen !
};

func void ZS_SeekEnemy_Loop ()
{
	PrintDebug("ZS_SeekEnemy_Loop");
	if (self.aivar [AIV_SeekEnemy] != 10) // Ist die Suchzeit schon um ?
	{
		PrintDebug("ZS_SeekEnemy_LoopAivar");
		AI_GotoWP (self, Npc_GetNearestWP(other));// Gehe zum angenommen Ort des Feindes 
		if(!Wld_DetectPlayer (self)) // und suche
		{
			PrintDebug("ZS_SeekEnemy_LoopNo Detect");
			self.aivar [AIV_SeekEnemy] += 1; // Wie lang suche ich schon +1
		}
		else
		{	
			PrintDebug("ZS_SeekEnemy_LoopDetect");
			B_Say(self,"$ThereHeIs");
			self.aivar [AIV_SeekEnemy] = 0;
			AI_DoState(self,ZS_HelpAttack,0);
		};
	}
	else
	{
		self.aivar [AIV_SeekEnemy] = 0;
		B_SheathWeapon (self); // Keiner da, dann kann die Waffe ja wieder weg
	};	
};

func void ZS_SeekEnemy_End ()
{
	PrintDebug("ZS_SeekEnemy_End");
	AI_WhirlAround (self,other);// Zur Sicherheit noch mal umsehen
};

